pastel-format(1)

NAME
pastel-format - Convert a color to the given format

SYNOPSIS
pastel format [-h|--help] [type] [color]

DESCRIPTION
Convert the given color(s) to a specific format.

Example:
  pastel random -n 20 | pastel format rgb

OPTIONS

-h, --help
    Print help (see a summary with '-h')

[type] [default: hex]
    Output format type. Note that the 'ansi-*-escapecode' formats print ansi escape sequences to the terminal that will not be visible unless something else is printed in addition.

    [possible values: rgb, rgb-float, rgb-r, rgb-g, rgb-b, hex, hsl, hsl-hue, hsl-saturation, hsl-lightness, hsv, hsv-hue, hsv-saturation, hsv-value, lch, lch-lightness, lch-chroma, lch-hue, oklch, oklch-lightness, oklch-chroma, oklch-hue, lab, lab-a, lab-b, oklab, oklab-l, oklab-a, oklab-b, luminance, brightness, ansi-8bit, ansi-24bit, ansi-8bit-value, ansi-8bit-escapecode, ansi-24bit-escapecode, cmyk, name]

[color]
    Colors can be specified in many different formats, such as #RRGGBB, RRGGBB, #RGB, 'rgb(…, …, …)', 'hsl(…, …, …)', 'gray(…)' or simply by the name of the color. The identifier '-' can be used to read a single color from standard input. Also, the special identifier 'pick' can be used to run an external color picker to choose a color. If no color argument is specified, colors will be read from standard input. Examples (all of these specify the same color):
      - lightslategray
      - '#778899'
      - 778899
      - 789
      - 'rgb(119, 136, 153)'
      - '119,136,153'
      - 'hsl(210, 14.3%, 53.3%)' Alpha transparency is also supported:
      - '#77889980'
      - 'rgba(119, 136, 153, 0.5)'
      - 'hsla(210, 14.3%, 53.3%, 50%)'